Can't get this to work

21 Mar 2014 05:21 - Johnny Tide

Status: In Progress Start date: 21 Mar 2014

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

I am trying to get this installed but I am having a lot of trouble.

Environment:

Redmine version                2.5.0.devel.12986

Ruby version                   1.8.7-p352 (2011-06-30) [x86_64-linux]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

Redmine plugins:

redpress                       0.0.1b

I had to modify the RedPress plugin to get it to install.

I installed the Wordmine plugin but after setting it up it logs me out and I can never log back in.

I have set up two admins in Redmine before installing Wordmine.

When trying to log in with one I get :

ERROR: The password you entered for the username Tide is incorrect.

The other user I get nothing it just clears the login boxes after pressing Log In.

Is there any information I can give you that will help diagnose the issue?

History

#1 - 21 Mar 2014 05:22 - Johnny Tide

Here is a link to my Redpress issue http://projects.andriylesyuk.com/issues/2284 .

#2 - 03 May 2014 19:32 - Andriy Lesyuk

- Status changed from New to In Progress

- Assignee set to Andriy Lesyuk

You needed to follow the steps described here. It’s normal behaviour, as WordMine changes the authentication style.

I’m also thinking about an approach, which would allow an admin user to always login using WordPress’ credentials... Not ready for now.
